Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85933 - usb mouse does not work.
Summary: usb mouse does not work.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-10 23:56 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:37 UTC


Attachments (Terms of Use)
as requested. (deleted)
2003-03-16 02:19 UTC, Need Real Name
no flags Details
as requested. (deleted)
2003-03-16 17:42 UTC, Need Real Name
no flags Details
ls -l /dev/input/mice (deleted)
2003-04-13 19:37 UTC, Mark Levitt
no flags Details
dmesg (deleted)
2003-04-13 19:38 UTC, Mark Levitt
no flags Details
Modules (deleted)
2003-04-13 19:40 UTC, Mark Levitt
no flags Details
USB devices (deleted)
2003-04-13 19:40 UTC, Mark Levitt
no flags Details
X86 Config (deleted)
2003-04-13 19:41 UTC, Mark Levitt
no flags Details

Description Need Real Name 2003-03-10 23:56:07 UTC
Description of problem:
hardware platform:  sony vaio fx190k
On release 8.0.92, the usb mouse (kensington pocketmouse) and the trackpad were
both active.  In 8.0.93 and 8.0.94, the mouse is not recognized in either of the
2 usb ports on this box.  Both usb hubs are reported seen in the KDE control center.

Version-Release number of selected component (if applicable):


How reproducible:
always


Steps to Reproduce:
1.  plug in a usb mouse
2.  verify presence in kde control center
3.  no joy.
    
Actual results:
no mouse is seen.

Expected results:
active mouse in addition to an operational trackpad.

Additional info:

Comment 1 Pete Zaitcev 2003-03-11 16:49:04 UTC
Please execute the following commands:

cat /proc/bus/usb/devices > /tmp/usb.deveices
/sbin/dmesg > /tmp/dmesg.out
ls -l /dev/input/mice > /tmp/dev.lst
/sbin/lsmod > /tmp/modules.lst

Then, attach the following files to the bug:

/tmp/usb.deveices, /tmp/dmesg.out, /tmp/dev.lst, /etc/X11/XF86Config,
/tmp/modules.lst.

PLEASE DO NOT DROP THEM INTO THE COMMENT BOX!
I cannot promise this will be enough, but we'll see.


Comment 2 Need Real Name 2003-03-16 02:19:32 UTC
Created attachment 90613 [details]
as requested.

Comment 3 Need Real Name 2003-03-16 17:42:09 UTC
Created attachment 90620 [details]
as requested.

Comment 4 Mark Levitt 2003-04-13 19:37:36 UTC
Created attachment 91106 [details]
ls -l /dev/input/mice

device entry

Comment 5 Mark Levitt 2003-04-13 19:38:13 UTC
Created attachment 91107 [details]
dmesg

Comment 6 Mark Levitt 2003-04-13 19:40:11 UTC
Created attachment 91108 [details]
Modules

Comment 7 Mark Levitt 2003-04-13 19:40:43 UTC
Created attachment 91109 [details]
USB devices

Comment 8 Mark Levitt 2003-04-13 19:41:05 UTC
Created attachment 91110 [details]
X86 Config

Comment 9 Mark Levitt 2003-04-13 19:48:34 UTC
Comment on attachment 91110 [details]
X86 Config

Hi,
I submitted the requested files as well because I am having the same problem. 

During install of RedHat 9, anaconda detects my MS Wheel Mouse as a Generic 3
button mouse (USB). 

During install, the mouse works correctly. 

However, post-install, I cannot get the mouse to work. 

The mouse is detected and works fine when I boot to Windows 2000 (on the same
machine.) However, when I boot Linux, the mouse is not detected. 

It is not present in /proc/bus/usb/devices. 

The motherboard is a Gygabyte PE667 with an i845PE (ICH4) chipset. It has a USB
2 controller which IS detected correctly.

Comment 10 Pete Zaitcev 2003-04-28 15:48:17 UTC
From: Julian Missig <julian@jabber.org>
Date: Sun, 27 Apr 2003 22:50:07 -0400

I have pretty much the same problem. I'm using a VIA USB 2 controller,
ehci-hcd driver. Like Mark Levitt's system I see these lines:

PCI: 00:10.3 PCI cache line size set incorrectly (32 bytes) by BIOS/FW.
PCI: 00:10.3 PCI cache line size corrected to 64.

Mark's says 0 and 128 where mine says 32 and 64, respectively.

Also, the only usb device detected is the USB controller itself. None
of the mass storage devices, input devices, or USB hubs I have
connected to my machine are listed. This was all working fine with red
hat 8.



Comment 11 Julian Missig 2003-04-30 21:07:17 UTC
As an addition to my above comment.. note that 00:10.3 is my USB controller.

Comment 12 Julian Missig 2003-04-30 21:48:15 UTC
Ok, so I've been playing around (I really really need usb support).

Tried compiling official Linus kernel 2.4.20. Still no usb.

Tried installing kernel 2.4.18-27.8.0 for red hat 8. Still no usb.

In all cases, the *only* usb device in the /proc/bus/usb hierarchy is 001/001,
the primary controller.

All this USB stuff is working fine under Windows XP.

Comment 13 Pete Zaitcev 2003-04-30 21:55:12 UTC
So, Julian deceived me - his problem is not a regression.
From now on, this bug is for scowles. Others should file
their own bugs.


Comment 14 Julian Missig 2003-04-30 22:12:29 UTC
Just because the bug wasn't in the /kernel/ doesn't mean it isn't a regression,
right? I haven't tried using older usbutils or anything like that yet. If I get
the time, I'll try installing Red Hat 8 fresh and then Red Hat 9 and see if it
works with them..

Comment 15 Julian Missig 2003-05-01 03:44:27 UTC
Sorry. This will be my last comment. My problem was solved by removing all USB
entries from /etc/sysconfig/hwconf, restarting, letting kudzu add and configure
the USB stuff again and then restarting. I did that a few times and the USB
devices all of a sudden appeared and worked again.

Comment 16 Pete Zaitcev 2003-05-01 17:22:30 UTC
Jeff Frost <jeff@digitalpipe.net> reports a situation when Anaconda puts
duplicate alias into /etc/modules.conf:

alias usb-controller usb-uhci
alias usb-controller ehci-hcd

Perhaps in Julian's case running kudzu replaced the second entry with
a proper 'usb-controller1'. I'll tell Jeremy about it.


Comment 17 Pete Zaitcev 2003-05-01 19:37:44 UTC
Jeremy says it may be a dup of bz#87948, fixed by Bill already.


Comment 18 Pete Zaitcev 2003-06-03 02:18:20 UTC
So, how is it going with 9.0.91, anyone tried that yet?


Comment 19 Pete Zaitcev 2003-06-03 19:19:42 UTC
OK. I'll notabug this thing tentatively, although an upgrade bug was obviously
present, because there was a separate bug against Anaconda for this.


Comment 20 Pete Zaitcev 2003-06-03 19:21:22 UTC
Oh wait. I just noticed it's not the Julian's bug. Reopening.
Any news from scowles?


Comment 21 Bugzilla owner 2004-09-30 15:40:37 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.